knpu_oauth2_client:
    clients:
    # configure your clients as described here: https://github.com/knpuniversity/oauth2-client-bundle#configuration
        keycloak:
            type: generic
            provider_class: Stevenmaguire\OAuth2\Client\Provider\Keycloak
            client_id: '%env(KEYCLOAK_CLIENT_ID)%'
            client_secret: '%env(KEYCLOAK_CLIENT_SECRET)%'
            redirect_route: app_login_keycloak_connect_check
            provider_options:
                authServerUrl: '%env(KEYCLOAK_BASE_URL)%'
                realm: '%env(KEYCLOAK_REALM)%'